#include <iostream>
#include <cstring>
#include <cstdio>
#include <ctime>
#include <limits>
#include <fstream>
#include <string>

using namespace std;

struct Persona{
    string fullName; // ФИО
    char sex;  //Пол
    string date_of_bird;  // Дата рождения
    string place_of_birth;  // Адрес рождения
    string place_of_residence;  // Адрес проживания
    string marital_status;  // Семейное положение
    unsigned int telephone_number;  // Телефонный номер
    string education;  // Образование
    string post;  // Должность
    int experience;  // Опыт
    int wages;  // З\п
};

bool find_data(Persona* arr, string fn, int len);
void print_data(Persona obj);
 
int main()
{
	srand(time(0));

    string s, date_of_create, space, persons_number_s;
    int i = 0;
    int k = 1;
    int l = 0;

    ifstream file("persons.txt");
    getline(file, date_of_create);
    getline(file, space);
    getline(file, persons_number_s);
    const int j = atoi( persons_number_s.c_str() );
    Persona persons[j];
    cout << "Persons: " << j << endl << "Date of creation: " << date_of_create << endl;

    while(getline(file, s)){ // пока не достигнут конец файла класть очередную строку в переменную (s)
        // cout << "s: " << s << " l: " << l << " K: " << k << endl;
        if(l<j){
            switch (k){
                case 1:{
                    persons[l].fullName = s;
                    break;
                }
                case 2:{
                    const char* sx = s.c_str();
                    persons[l].sex = sx[0];
                    break;
                }
                case 3:{
                    persons[l].date_of_bird = s;

                    break;
                }
                case 4:{
                    persons[l].place_of_birth = s;
                    break;
                }
                case 5:{
                    persons[l].place_of_residence = s;
                    break;
                }
                case 6:{
                    persons[l].marital_status = s;
                    break;
                }
                case 7:{
                    persons[l].telephone_number = atoi( s.c_str() );
                    break;
                }
                case 8:{
                    persons[l].education = s;
                    break;
                }
                case 9:{
                    persons[l].post = s;
                    break;
                }
                case 10:{
                    persons[l].experience = atoi( s.c_str() );
                    break;
                }
                case 11:{
                    persons[l].wages = atoi( s.c_str() );
                    break;
                }
            }
            if(k<11){
                k++;
            }else{
                k=0;
                l++;
            }
        }
    }
    file.close();

    string fullName;
    cout << "Введите ФИО: ";
    getline(cin, fullName);
    find_data(persons, fullName, j);
    
    return 0;
}

bool find_data(Persona* arr, string fn, int len){
    for (int i = 0; i < len; ++i){
        if(arr[i].fullName == fn){
            print_data(arr[i]);
            return 1;
        }
    }
    cout << "Не найдено..." << endl;
    return 0;
};


void print_data(Persona obj){
    cout << "ФИО: " << obj.fullName << endl;
    cout << "Пол: " << obj.sex << endl;
    cout << "Дата рождения: " << obj.date_of_bird << endl;
    cout << "Место рождения: " << obj.place_of_birth << endl;
    cout << "Место проживания: " << obj.place_of_residence << endl;
    cout << "Семейное положение: " << obj.marital_status << endl;
    cout << "Телефонный номер: " << obj.telephone_number << endl;
    cout << "Образование: " << obj.education << endl;
    cout << "Должность: " << obj.post << endl;
    cout << "Стаж: " << obj.experience << endl;
    cout << "З/п: " << obj.wages << endl;

};
